Dossier Pharmaceutique

1. Introduction

Le module Dossier Pharmaceutique de WinPharma fait partie du projet national Dossier Pharmaceutique réalisé par le Conseil National de l'Ordre des Pharmaciens afin de permettre à tous les pharmaciens d’officine de contribuer à l’amélioration de la qualité des soins apportés au patient.

Le module doit assurer l’absence d’interactions défavorables entre les médicaments. Il permet de tracer les ventes de médicaments au patient pendant les derniers 4 mois même si les vents ont eu lieu dans une autre(s) pharmacie(s).

L’objet principal du Dossier Pharmaceutique est donc de centraliser sur une plate-forme hébergée et sécurisée, les données relatives aux dispensations effectuées au sein des officines.

Mise en route :

Pour utiliser le module Dossier Pharmaceutique il est nécessaire d'avoir :

  • Le logiciel WinPharma à partir de la version 7.1.0 sur chaque poste ;

  • La carte CPS en cours de validité et non révoquée sur le poste connecteur pour chiffrer et envoyer les données ;

  • La connexion rapide à l'Internet (ADSL ou comparable) sur le poste connecteur.

2. Principe de fonctionnement

Les officines et le serveur DP (hébergeur santé) sont reliés par un réseau Internet. Les échanges entre le serveur et l’officine se font par l’intermédiaire de services Web.

Le DP est enregistré sous un numéro calculé à partir de la carte Vitale, ce numéro est exclusif et spécifique au DP. Toutes les informations contenues et échangées sont chiffrées et stockées sur un serveur central choisi par CNOP, elles ne sont conservées ni sur la carte Vitale, ni dans aucune pharmacie.

Quand le pharmacien consulte le DP, le serveur DP transmet les données par un réseau informatique professionnel sécurisé. Dès que le pharmacien rend la carte Vitale au client, les données concernant les médicaments du client provenant d’une autre pharmacie disparaissent de son ordinateur.

La sécurisation de la télétransmission des enveloppes est assurée grâce à un mécanisme d’authentification forte, généré à partir du certificat électronique de l’hébergeur et du certificat d’une carte CPS d'officine.

L’architecture générale pour les échanges entre l’hébergeur et l’officine est décrite dans le schéma qui suit :

Figure 1. Architecture générale

Important

Si le client se présente à l'officine sans sa carte vitale, aucune consultation ni alimentation de son DP ne sera possible, une fois la vente terminée, le système ne classera pas son DP comme incomplet.

3. Paramétrage

Pour activer le module et établir la connexion au serveur DP, il faut effectuer le paramétrage suivant :

  1. Paramétrer le poste connecteur :

    1. Insérer la carte CPS officine sur le poste connecteur.

      Important

      Attention! La carte CPS doit rester insérée pour assurer la connexion au serveur DP. C'est la signature unique de la carte qui assure la sécurité de transmission des données.

    2. Aller dans le menu Modules > Dossier Pharmaceutique > Options.

      Options du Dossier pharmaceutique

      Figure 2. Options du Dossier pharmaceutique

    3. Cocher la case Utilisation DP.

      Si la case est cochée, les données de chaque carte Vitale insérée dans le lecteur sont transmises au serveur DP.

    4. Cocher la case Lancer le Connecteur vers Centrale sur ce poste.

      En général, le poste connecteur du DP est utilisé comme poste de télétransmission.

      Important

      Attention! Il ne faut pas arrêter WinPharma sur ce poste pendant une opération sur le Dossier Pharmaceutique.

    5. Appuyer sur le bouton OK pour valider les paramètres.

      Remarque

      Ce poste sera automatiquement choisi comme poste officiel du DP sur le réseau local.

  2. Il faut ensuite effectuer un test de communication avec le serveur DP. Insérez une carte Vitale sur le poste client, allez dans le menu Modules / Dossier Pharmaceutique / Accès au DP. Si le Dossier Pharmaceutique existe pour le patient donné, il va apparaître à l'écran, sinon WinPharma proposera de le créer. Appuyez sur le bouton Annuler pour terminer le test.

  3. Vérifier si le contrôle des interactions est bien activé sur chaque poste. La case Contrôle des interactions (Dossier / Préférences / Options / 1.Saisie) doit être cochée. Il est recommandé d'indiquer le niveau 4 au minimum et 120 jours de profondeur pour l'analyse.

4. Utilisation du DP pendant la facturation

L'utilisation du module est très simple et rapide. La connexion au serveur DP s'établit en moins de 4 secondes. Si le client ne refuse pas l'accès à son DP, la gestion du DP est transparente pour le pharmacien et ne demande aucune action particulière.

4.1. Cas général

Pour utiliser le DP dans WinPharma, il faut :

  1. Lancer le processus de facturation (la carte Vitale client en est indispensable si on utilise le module DP).

    Après la lecture da la carte Vitale (CTRL+F), le système affiche la fenêtre suivante qui permet de sélectionner le mode d'utilisation :

    Figure 3.

  2. Choisir le mode d'utilisation de DP : avec ou sans consultation.

    Dès que la connexion avec le serveur DP est établie, WinPharma affiche l'icône [image] près de l'icône de SESAM Vitale en indiquant que le DP est actif et affiche une icône barrée [image] pour indiquer que la consultation est refusée par le client.

    Remarque

    Quand un patient refuse l'accès à son DP, une consultation est quand même effectuée pour vérifier l'existence du DP (ce type de consultation s'appelle consultation asynchrone).

    Le serveur DP peut renvoyer plusieurs réponses :

    Identifiant Inconnu

    Le client n'a pas de DP. Il est possible de créer un nouveau DP, d'annuler l'opération ou de refuser la création du DP.

    DP Refusé

    Le client a déjà refusé la création de DP. Il est possible de créer un nouveau DP ou d'annuler l'opération.

    DP Supprimé

    Le client a supprimé son DP. Il est possible de créer un nouveau DP ou d'annuler l'opération.

  3. Choisir le bénéficiaire.

    Remarque

    Si le patient décide de refuser la consultation de son DP lors d'une vente, appuyez sur les touches CTRL+ENTREE dans la fenêtre de facturation.

    WinPharma affiche l'icône DP barrée [image] et on peut continuer la vente sans accès au DP.

  4. Sélectionner les produits, les produits qui font l'objet d'une mise à jour du DP sont cochées [image].

    Remarque

    Actuellement, seuls les médicaments pouvant déclencher une interaction sont remontés au DP. Les médicaments homéopathiques ainsi que les produits de parapharmacie, de diététique… qui sont dispensés en officine n'alimentent pas le DP. Aussi, seuls les produits dont le code CIP commence par « 3 » (AMM) et « 49 » (Autorisation Importation Parallèle) renseignent le DP.

  5. Valider la vente.

    Les données sont envoyées au serveur DP . Le système les stocke dans une file d'attente et les envoie graduellement. Il est possible de suspendre l'envoi.

En cas d’erreur de dispensation constatée après transmission effective, le DP ne pourra faire l’objet de correction. Dans ce cas, le pharmacien aura la possibilité d’introduire un texte en format libre et un commentaire explicatif de la correction apportée dans la dispensation. Il faut indiquer le produit qui est remplacé et la date de la dispensation erronée (voir l'exemple ci-dessous).

Exemple 1. Exemple d'entrée

Erreur disp 20/04/07 – Produit XXX remplacé par YYY

L'option Zone de rectification du menu permet de saisir ces commentaires lors d'une facturation.

Dialogue de rectification

Figure 4. Dialogue de rectification

Ce commentaire est affiché lors des lectures ultérieures du DP, et ce, pendant la durée utile de l’historique.

Message de rectification

Figure 5. Message de rectification

4.2. Alimentation partielle du DP pour le client en cours

Le client peut refuser d'alimenter certains produits dans le Dossier Pharmaceutique.

Pour effectuer une alimentation partielle du DP, il faut :

  1. Décocher la case [image] de la colonne DP dans la ligne du produit dont on ne désire pas alimenter au DP.

    Au moment de la validation de la vente, un message d'avertissement apparaît :

    Message Dossier incomplet

    Figure 6. Message Dossier incomplet

  2. Appuyer sur Oui pour valider le refus du client.

    WinPharma va générer le formulaire de refus d'alimentation d'un DP.

    Remarque

    Si au moins un produit n'est pas alimenté au serveur DP, le dossier du client donné reçoit la notion `DP Incomplet`.

  3. Imprimer le formulaire (une copie sera sauvegardée en format PDF dans le dossier de la base de données WinPharma).

4.3. Consultation sans alimentation

Si le client refuse complètement l'alimentation de son DP, il faut :

  1. Après avoir choisi les produits dans la fenêtre de facturation, aller dans le menu Modules / Dossier Pharmaceutique / Refus complet d'alimentation.

    La case de la colonne DP doit être décochée pour tous les produits à envoyer dans le Dossier Pharmaceutique.

    Lors de la validation d'une facture, WinPharma affiche le message de prévention suivant :

    Message Refus d'alimentation

    Figure 7. Message Refus d'alimentation

  2. Appuyer sur Oui pour générer le formulaire de refus d'alimentation d'un DP.

    Remarque

    En cas de refus, seul « l’enveloppe » de la dispensation est stockée dans le DP (date notamment) mais aucune information concernant le médicament n’est alimenté par WinPharma dans le DP. A la place, le code produit est transmis avec une valeur nulle. Lors d’une consultation ultérieure, l'application interprétera ce code produit nul comme un refus d’alimentation du patient.

  3. Imprimer le formulaire.

Important

Rappelez-vous que dans de cas, sans la carte Vitale client, le DP n'est pas alimenté. Celà donne effectivement un DP incomplet sans que cela ne soit signalé dans le dossier.

4.4. Gestion des interactions

Le contrôle des interactions permet d'évaluer les risques d'interactions entre les médicaments prescrits pour un client donné. La case Contrôle des interactions (Dossier / Préférences / Options / 1.Saisie) doit être cochée. Il est recommandé d'indiquer le niveau 4 au minimum et 120 jours de profondeur de l'analyse.

WinPharma analyse les produits présents dans la dispensation : ceux de l'historique client dans la base locale et les informations reçues du Dossier Pharmaceutique (si ce dernier existe et l'accès n'est refusé). Si une interaction existe, WinPharma génère un message d'alerte avec la liste des interactions détectées.

Les produits provenant du DP seront marqués par l'icone [image].

Message d'alerte Interactions et contre-indications

Figure 8. Message d'alerte Interactions et contre-indications

5. Autres possibilités

5.1. Consultation du DP sans facturation

Il est possible de consulter le Dossier Pharmaceutique d'un patient donné à partir du menu Module / Dossier Pharmaceutique / Accès au DP.

Pour accéder au DP, il faut :

  1. Insérer la carte Vitale.

  2. Aller dans le menu Module / Dossier Pharmaceutique / Accès au DP.

  3. Choisir le client parmi les ayant-droits dans la liste déroulante.

    Si la connexion avec le serveur DP s'établie correctement et que le DP pour le client donné existe, la fenêtre Dossier Pharmaceutique s'ouvre :

    Exemple d'un DP

    Figure 9. Exemple d'un DP

5.2. Création du DP

Si le DP pour le client sélectionné n'existe pas, une fenêtre avec un avertissement apparaît. A partir de cette fenêtre il est possible de :

  • Créer un nouveau Dossier Pharmaceutique - bouton Création du DP ;

  • Refuser la création du nouveau Dossier Pharmaceutique - bouton Refus de création ;

  • Quitter le module DP - bouton Annuler.

Le DP n'existe pas

Figure 10. Le DP n'existe pas

Si le client a déjà refusé la création de son DP, un message d'avertissement avec un compteur du nombre de refus apparaît :

Historique des refus

Figure 11. Historique des refus

  1. Appuyer sur le bouton Création du DP (dans les fenêtres ci-dessus ou directement à partir du menu Module / Dossier Pharmaceutique / Création du DP ).

    WinPharma demande une validation supplémentaire de création du DP :

    Figure 12.

  2. Appuyer sur Oui pour lancer la génération du formulaire de consentement à la création d'un DP. Si certaines données personnelles manquent pour le client en cours, une fenêtre de dialogue proposant de les insérer s'ouvre. Enfin, la fenêtre de visualisation contenant le formulaire donné apparaît.

  3. Appuyer sur Imprimer.

5.3. Edition du DP

Le patient peut vouloir imprimer son Dossier Pharmaceutique.

  1. Insérer la carte Vitale du patient.

  2. Aller dans le menu Modules / Dossier Pharmaceutique / Edition du DP (il est possible d'accéder à cette fonction à l'aide du bouton Edition dans la fenêtre de consultation du DP).

    WinPharma génère l'attestation de remise de copie du DP ainsi qu'une copie de DP.

    Exemple de DP à imprimer

    Figure 13. Exemple de DP à imprimer

  3. Appuyer sur le bouton Imprimer.

5.4. Suppression du DP

Le client peut demander la suppression de son DP. Dans cette situation, les données du DP du patient sont supprimées du serveur DP.

Pour supprimer un DP, il faut :

  1. Insérer la carte Vitale du patient.

  2. Aller au menu Modules / Dossier Pharmaceutique / Suppression du DP (ou appuyer sur le bouton Supprimer dans la fenêtre de consultation).

    Le système affiche la fenêtre de confirmation de suppression du DP.

  3. Appuyer sur Oui pour valider la suppression du DP.

    WinPharma génère le formulaire de clôture du dossier pharmaceutique.

  4. Appuyer sur le bouton Imprimer.

Autre situation qui peut entraîner la suppression d’un dossier patient : lorsqu'un DP n'a subit aucune dispensation ni alimentée depuis plus de 60 mois.

Dans ce cas, le dossier est automatiquement supprimé chez l’hébergeur. Ce processus n’implique aucun échange d’information entre les officines et le serveur DP.

5.5. Alimentation suspendue de DP

Il est possible de suspendre le processus d'alimentation de DP si la connexion de la pharmacie est surchargée.

Pour suspendre une alimentation:

  • Cocher la case Suspendre l'alimentation dans le menu du module.

    Suspension de l'alimentation

    Figure 14. Suspension de l'alimentation

    Après la validation d'une facture, les données ne passent pas par le serveur DP mais restent en attente sur le serveur de l'officine. L'information sur l'alimentation suspendue est disponible dans l'onglet File d'attente de la fenêtre Options.

    La fenêtre Options

    Figure 15. La fenêtre Options

L'alimentation reprend automatiquement après une heure.

5.6. Affichage de statistiques

Si la consultation est autorisée, le pharmacien peut afficher les statistiques d'alimentation pour le client en cours en appuyant sur les touches CTRL+O dans la fenêtre de facturation.

Si l'historique pour le client est disponible, le système affiche une fenêtre suivant :

Statistiques DP pour un client

Figure 16. Statistiques DP pour un client

L'icône verte DP signifie tous les produits alimentés au Dossier Pharmaceutique, l'abréviature "DP" dans la colonne Facture signifie les produits alimentés par autres pharmacies.

Les statistiques externes ne peuvent pas être transférés vers un autre bénéficiaire, c'est pourquoi le système désactive le bouton Transférer stat vers si les produits alimentés par autres pharmacies sont sélectionnés. En cas de tentative de transférer les statistiques provenant de DP vers un autre bénéficiaire, WinPharma affiche un message que ces produits ne seront pas transférés.

Egalement, le système n'imprime que le statistiques locales.

5.7. Paramétrage avancé

L'onglet Paramètres (menu Modules > Dossier Pharmaceutique > Options) propose les options suivantes :

Alimentation seulement

Cocher la case pour n'effectuer que l'alimentation des DP patient (sans consultation).

Etablir la connexion avec le serveur central DP au démarrage

Cocher la case pour se connecter au serveur lors du démarrage.

Délai d'attente dépasse xx secondes

30 secondes par défaut.

Tranche horaire quand il est possible d'envoyer l'alimentation de DP

Indiquer une tranche horaire comprise entre 0 et 24 heures au cours de laquelle l'alimentation de DP doit avoir lieu (p.ex. 00h00-23h59).

Poste Connecteur

Le nom de l'ordinateur qui effectue la connexion avec le serveur DP.

Lancer le Connecteur vers Centrale sur ce poste

Cocher la case pour effectuer la connexion du poste connecteur.

Conserver DPTRACES xx mois

Entrer la durée de conservation de traces d'opérations avec les DP clients (en mois).

Les deux autres onglets de la fenêtre Options affichent la file d'attente d'alimentation et la liste des requêtes non envoyées à cause de problèmes techniques.

5.8. Formulaires standards du module

Les formulaires suivants sont imprimés au cours des opérations de Dossier Pharmaceutique :

  • Attestation de création d'un dossier pharmaceutique;

  • Attestation de refus de consultation d'un dossier pharmaceutique;

  • Formulaire de refus d'alimentation du dossier pharmaceutique;

  • Attestation de remise d'une copie d'un dossier pharmaceutique;

  • Formulaire de clôture d'un dossier pharmaceutique;

Un copie de formulaire est générée pour être remise au patient. Une copie électronique (format PDF) est conservée dans le dossier local du patient.

Remarque

Les formulaires sont développés et approuvés par CNOP et ne sont pas éditables.

6. Problèmes typiques et solutions

Si le module ne marche pas:

  1. Vérifier la carte CPS. Elle doit être en cours de validité et non révoquée ;

    • Lancer l'application Gestion CPS : C:\WINDOWS > fichier CPGESW32.exe et .

      Figure 17. Gestion CPS

      Important

      Attention! L'application n'est utilisable qu'à partir de la version 5.0.3 de WinPharma.

  2. Vérifier la carte Vitale patient;

    • Si le patient qui dit avoir déjà donné son consentement pour la création d’un DP mais que le serveur DP renvoie le message `IDENTIFIANT_INCONNU`, Il est probable que le patient vient de changer de carte Vitale ou qu’une mise à jour de son nom ou de son prénom a été effectuée sur la même carte Vitale. En attendant la généralisation d’un système étendu actuellement à l’étude, un changement de carte Vitale ou une mise à jour des informations de la même carte Vitale entraîne la création d’un nouveau DP pour le patient concerné (les 4 mois d’historique médicamenteux de l’ancien DP ne sont plus accessibles avec la nouvelle carte).

  3. Vérifier la connexion à Internet:

    • Essayer d'accéder à une page web quelconque, si ça marche :

    • Essayer d'accéder une page de l'hébergeur, si ça ne fonctionne pas :

  4. Vérifier si le Pare Feu local ne bloque pas la connexion au serveur DP:

    • Vérifier que le port 443 (connexion par HTTPS) est ouvert.

7. Description générale du processus

Les diagrammes ci-dessous montrent le processus d'accès au serveur DP, de création DP, consultation de DP, édition de DP et suppression de DP.

Remarque

Dans chaque étape, on peut annuler le processus et revenir à une étape précédente.

Plan général d'utilisation du module

Figure 18. Plan général d'utilisation du module

Plan de processus de consultation DP

Figure 19. Plan de processus de consultation DP

Plan de processus de création d'un DP

Figure 20. Plan de processus de création d'un DP

Plan de processus d'édition d'un DP

Figure 21. Plan de processus d'édition d'un DP

Plan de processus de suppression d'un DP

Figure 22. Plan de processus de suppression d'un DP